<!ELEMENT sgpem (recents, layout?, preferences) >
<!ENTITY % text "#PCDATA">

<!-- Ricorda i file piu' recenti -->
<!ELEMENT recents (recent)*>
<!ELEMENT recent (%text;)>
<!ATTLIST recent 
     order ID #REQUIRED
     name CDATA #IMPLIED>

<!ELEMENT layout (window)+>
<!ELEMENT window EMPTY>
<!-- 
     attribute 'geometry' is: “x y width height”. All 
     values are percentuals of the screen size 
-->
<!ATTLIST window
     id ID #REQUIRED
     geometry NMTOKENS #REQUIRED>

<!-- Altre preferenze -->
<!ELEMENT preferences (default-speed, modules)>
<!ELEMENT default-speed (%text;)>
<!ELEMENT modules (module)*>
<!ELEMENT module EMPTY>
<!ATTLIST module
     id ID #REQUIRED
     enabled (true | false) "false">
 
